'''
Process Plots

Create an interactive Qt5 widget to plot timeseries data.  Data must be in a
time-indexed dataframe.  Tagnames (columns in dataframe) are analysed to group
related tags (e.g. SP and PV) to plot on the same subplot.
'''

from .pp import add_grouping_rule, \
                remove_grouping_rules, \
                print_grouping_rules, \
                load_grouping_template, \
                set_dataframe, show, \
                set_legend_fontsize, \
                set_legend_loc

__all__ = ['add_grouping_rule',
           'remove_grouping_rules',
           'print_grouping_rules',
           'load_grouping_template',
           'set_dataframe',
           'show',
           'set_legend_fontsize',
           'set_legend_loc']


#show = proc_plot.pp.show
